###############################################
# Do not Edit! Generated by:
# spec-builder version 0.14
###############################################

Name: geoclue
Summary: Geoclue is a modular geoinformation service
Group: System Environment/Libraries
Version: 0.11.1
License: LGPLv2
URL: http://geoclue.freedesktop.org
Release: 13.1.moblin2
Source0: http://folks.o-hand.com/jku/geoclue-releases/%{name}-%{version}.tar.gz
Patch0: buildfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gypsy)
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(gtk+-2.0)

BuildRequires: gtk-doc

Requires: dbus
Requires: gypsy

%description
Geoclue is a modular geoinformation service built on top of the D-Bus 
messaging system. The goal of the Geoclue project is to make creating 
location-aware applications as simple as possible. 
%package gui

Summary: Testing gui for geoclue
Group: Development/Libraries


%description gui
Description: %{summary}

%package devel

Summary: Development package for geoclue
Group: Development/Libraries

Requires: %{name} >= %{version}

%description devel
Description: %{summary}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .buildfix

%build
%configure --disable-static --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang geoclue  || echo -n >> geoclue.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files -f geoclue.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/geoclue-providers
%{_libdir}/libgeoclue.so.0
%{_libdir}/libgeoclue.so.0.0.0
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Master.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Example.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Geonames.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Hostip.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Localnet.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Manual.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Plazes.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Yahoo.service
%{_datadir}/geoclue-providers/geoclue-example.provider
%{_datadir}/geoclue-providers/geoclue-geonames.provider
%{_datadir}/geoclue-providers/geoclue-hostip.provider
%{_datadir}/geoclue-providers/geoclue-localnet.provider
%{_datadir}/geoclue-providers/geoclue-manual.provider
%{_datadir}/geoclue-providers/geoclue-plazes.provider
%{_datadir}/geoclue-providers/geoclue-yahoo.provider
%{_libexecdir}/geoclue-example
%{_libexecdir}/geoclue-geonames
%{_libexecdir}/geoclue-hostip
%{_libexecdir}/geoclue-localnet
%{_libexecdir}/geoclue-manual
%{_libexecdir}/geoclue-master
%{_libexecdir}/geoclue-plazes
%{_libexecdir}/geoclue-yahoo
# gypsy
%{_libexecdir}/geoclue-gypsy
%{_datadir}/geoclue-providers/geoclue-gypsy.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gypsy.service
%files gui
%defattr(-,root,root,-)
%{_bindir}/geoclue-test-gui
%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/geoclue
%dir %{_datadir}/gtk-doc/html/geoclue/
%doc %{_datadir}/gtk-doc/html/geoclue/*
%{_includedir}/geoclue/*
%{_libdir}/pkgconfig/geoclue.pc
%{_libdir}/libgeoclue.so

%changelog
* Sat May 23 2009 Arjan van de Ven <arjan@linux.intel.com> 0.11.1
- fix build by adding missing linked libs
* Tue Dec 16 2008 Anas Nashif <anas.nashif@intel.com> 0.11.1
- Update spec file using latest spec-builder
* Tue Dec 16 2008 Joshua Lock <josh@linux.intel.com> 0.11.1-13
- Switch to using specbuilder generated spec file
* Fri Dec 12 2008 Joshua Lock <josh@linux.intel.com> 0.11.1-12
- We need gtk-doc to build
* Tue Dec  2 2008 Joshua Lock <josh@linux.intel.com> 0.11.1-11
- Removed gpsd support, we only want to use Gypsy
- Initial import into Moblin
* Wed Jul  2 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-10
- Fixed spec file so gpsd and gypsy are actually properly in a subpackage
* Fri Jun  6 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-9
- increment build
* Fri Jun  6 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-8
- Re-add gypsy provider now that its been pushed to updates
* Mon May 19 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-7
- Remove gypsy requires too
* Sun May 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-6
- Remove gypsy until it gets into F9 updates
* Sun May 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-5
- Added gypsy and gpsd providers to build as sub packages
* Mon Apr 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-4
- Moved api documentation to -devel
* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-3
- Cleanup requires and group for test gui
* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-2
- Some spec file cleanups
* Fri Apr 25 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-1
- Initial package
